Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
Class FindReplaceUtility

    java.lang.Object
      groovy.ui.text.FindReplaceUtility

    class FindReplaceUtility
    extends Object

author:
  Evan "Hippy" Slatis

Nested Class Summary
`class` | `FindReplaceUtility.CloseAction`
`class` | `FindReplaceUtility.FindAction`
`class` | `FindReplaceUtility.ReplaceAction`
`class` | `FindReplaceUtility.ReplaceAllAction`

Field Summary
`static String` | `CLOSE_ACTION_COMMAND`
`static Action` | `FIND_ACTION`
`static String` | `FIND_ACTION_COMMAND`
`static String` | `REPLACE_ACTION_COMMAND`
`static String` | `REPLACE_ALL_ACTION_COMMAND`

Constructor Summary
`private FindReplaceUtility()`

Method Summary
`static void` | `addTextListener(TextListener tl)`
`static void` | `dispose()`
`static String` | `getLastAction()`
`static int` | `getReplacementCount()`
`static String` | `getSearchText()`
`static void` | `registerTextComponent(JTextComponent textComponent)`
`static void` | `removeTextListener(TextListener tl)`
`static void` | `showDialog()`
`static void` | `showDialog(boolean isReplace)`
`static void` | `unregisterTextComponent(JTextComponent textComponent)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### CLOSE_ACTION_COMMAND

    static final String CLOSE_ACTION_COMMAND

### FIND_ACTION

    static final Action FIND_ACTION

### FIND_ACTION_COMMAND

    static final String FIND_ACTION_COMMAND

### REPLACE_ACTION_COMMAND

    static final String REPLACE_ACTION_COMMAND

### REPLACE_ALL_ACTION_COMMAND

    static final String REPLACE_ALL_ACTION_COMMAND

Constructor Detail

### FindReplaceUtility

    private FindReplaceUtility()

Method Detail

### addTextListener

    public static void addTextListener(TextListener tl)

### dispose

    public static void dispose()

### getLastAction

    public static String getLastAction()

  return:
    the last action

### getReplacementCount

    public static int getReplacementCount()

  return:
    the replacement count

### getSearchText

    public static String getSearchText()

  return:
    the search text

### registerTextComponent

    public static void registerTextComponent(JTextComponent textComponent)

  param:
    textComponent the text component to listen to

### removeTextListener

    public static void removeTextListener(TextListener tl)

### showDialog

    public static void showDialog()

### showDialog

    public static void showDialog(boolean isReplace)

  param:
    isReplace show a replace dialog rather than a find dialog if true

### unregisterTextComponent

    public static void unregisterTextComponent(JTextComponent textComponent)

  param:
    textComponent the text component to stop listening to

Copyright © 2003-2009 The Codehaus. All rights reserved.